Package com.complexible.common.rdf

# Class MultiStatementIterator

java.lang.Object
com.google.common.collect.UnmodifiableIterator<Statement>
com.google.common.collect.AbstractIterator<Statement>
com.complexible.common.rdf.MultiStatementIterator

All Implemented Interfaces:
  `CloseableIterator<Statement>`, `StatementIterator`, `AutoCloseable`, `Iterator<Statement>`

public final class MultiStatementIterator extends com.google.common.collect.AbstractIterator<Statement> implements StatementIterator

`StatementIterator` whose contents are the concatenation of multiple iterators.

Since:
  0.4.3
Version:
  6.0
Author:
  Michael Grove, Evren Sirin

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.CloseableIterator

  `CloseableIterator.AbstractCloseableIterator<T>, CloseableIterator.DelegatingCloseableIterator<T>, CloseableIterator.EmptyCloseableIterator<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiStatementIterator(List<StatementIterator> theIters)`
  Create a new MultiStatementIteration

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `protected Statement`
  `computeNext()`
  `Namespaces`
  `namespaces()`
  Returns namespaces associated with this statement iteration if any.

  ### Methods inherited from class com.google.common.collect.AbstractIterator

  `endOfData, hasNext, next, peek`

  ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

  `remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, hasNext, next, remove`

  ### Methods inherited from interface com.complexible.common.rdf.StatementIterator

  `process, toGraph`

- ## Constructor Details

  - ### MultiStatementIterator

    public MultiStatementIterator(List<StatementIterator> theIters)
    Create a new MultiStatementIteration
    Parameters:
      `theIters` - the list of iterations to iterate against

- ## Method Details

  - ### computeNext

    protected Statement computeNext()
    Specified by:
      `computeNext` in class `com.google.common.collect.AbstractIterator<Statement>`

  - ### close

    public void close() throws RuntimeException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `CloseableIterator<Statement>`
    Throws:
      `RuntimeException`

  - ### namespaces

    public Namespaces namespaces()
    Returns namespaces associated with this statement iteration if any.
    Specified by:
      `namespaces` in interface `StatementIterator`
    Returns:
      possibly empty namespaces but never `null`